"use strict";
/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NIP13 = void 0;
// errors
var FailureCommandExecution_1 = require("./src/errors/FailureCommandExecution");
Object.defineProperty(exports, "FailureCommandExecution", { enumerable: true, get: function () { return FailureCommandExecution_1.FailureCommandExecution; } });
var FailureOperationForbidden_1 = require("./src/errors/FailureOperationForbidden");
Object.defineProperty(exports, "FailureOperationForbidden", { enumerable: true, get: function () { return FailureOperationForbidden_1.FailureOperationForbidden; } });
var FailureMinimumRequiredOperators_1 = require("./src/errors/FailureMinimumRequiredOperators");
Object.defineProperty(exports, "FailureMinimumRequiredOperators", { enumerable: true, get: function () { return FailureMinimumRequiredOperators_1.FailureMinimumRequiredOperators; } });
var FailureInvalidCommand_1 = require("./src/errors/FailureInvalidCommand");
Object.defineProperty(exports, "FailureInvalidCommand", { enumerable: true, get: function () { return FailureInvalidCommand_1.FailureInvalidCommand; } });
var FailureMissingArgument_1 = require("./src/errors/FailureMissingArgument");
Object.defineProperty(exports, "FailureMissingArgument", { enumerable: true, get: function () { return FailureMissingArgument_1.FailureMissingArgument; } });
// models
var AllowanceResult_1 = require("./src/models/AllowanceResult");
Object.defineProperty(exports, "AllowanceResult", { enumerable: true, get: function () { return AllowanceResult_1.AllowanceResult; } });
var CommandOption_1 = require("./src/models/CommandOption");
Object.defineProperty(exports, "CommandOption", { enumerable: true, get: function () { return CommandOption_1.CommandOption; } });
var NetworkConfig_1 = require("./src/models/NetworkConfig");
Object.defineProperty(exports, "NetworkConfig", { enumerable: true, get: function () { return NetworkConfig_1.NetworkConfig; } });
var Notification_1 = require("./src/models/Notification");
Object.defineProperty(exports, "Notification", { enumerable: true, get: function () { return Notification_1.Notification; } });
var NotificationProof_1 = require("./src/models/NotificationProof");
Object.defineProperty(exports, "NotificationProof", { enumerable: true, get: function () { return NotificationProof_1.NotificationProof; } });
var Operator_1 = require("./src/models/Operator");
Object.defineProperty(exports, "Operator", { enumerable: true, get: function () { return Operator_1.Operator; } });
var TokenIdentifier_1 = require("./src/models/TokenIdentifier");
Object.defineProperty(exports, "TokenIdentifier", { enumerable: true, get: function () { return TokenIdentifier_1.TokenIdentifier; } });
var TokenPartition_1 = require("./src/models/TokenPartition");
Object.defineProperty(exports, "TokenPartition", { enumerable: true, get: function () { return TokenPartition_1.TokenPartition; } });
var TokenSource_1 = require("./src/models/TokenSource");
Object.defineProperty(exports, "TokenSource", { enumerable: true, get: function () { return TokenSource_1.TokenSource; } });
var TransactionParameters_1 = require("./src/models/TransactionParameters");
Object.defineProperty(exports, "TransactionParameters", { enumerable: true, get: function () { return TransactionParameters_1.TransactionParameters; } });
// contracts
var Context_1 = require("./src/contracts/Context");
Object.defineProperty(exports, "Context", { enumerable: true, get: function () { return Context_1.Context; } });
var Service_1 = require("./src/contracts/Service");
Object.defineProperty(exports, "Service", { enumerable: true, get: function () { return Service_1.Service; } });
var BaseCommand_1 = require("./src/contracts/BaseCommand");
Object.defineProperty(exports, "BaseCommand", { enumerable: true, get: function () { return BaseCommand_1.BaseCommand; } });
// standards
const NIP13 = __importStar(require("./src/standards/NIP13"));
exports.NIP13 = NIP13;
